
Redmine - Feature #3587

Change reply subject to be a link to the reply itself

2009-07-05 20:19 - Harri H

Status: Closed Start date: 2009-07-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

At the moment creating a link to a specific comment requires finding out the message-id ('message-XXX') manually from the HTML.

Would help a lot if the comment subject was a link to the comment itself, as it is on several other message boards. Or there could be

a separate icon/link for linking to the comment (see, for example, http://stackoverflow.com).

Additionally, it might be a bit cleaner to mark the message id in comments like this

    <div class="message reply" id="MESSAGE-ID">

       ...

    </div>

 instead of this

    <a name="MESSAGE-ID"/>

    <div class="message reply">

       ...

    </div>

 Both markups should work in the same way in current browsers, and using the id is apparently HTML5 compliant while using the

anchor name isn't (http://stackoverflow.com/questions/484719/html-anchors-with-name-or-id/484892#484892).

Related issues:

Has duplicate Redmine - Feature #3639: Number Forum Comments Closed 2009-07-20

Associated revisions

Revision 2815 - 2009-07-05 21:52 - Jean-Philippe Lang

Adds permalinks to message replies (#3587).

History

#1 - 2009-07-05 21:16 - Harri H

- File comment_subject_to_link.diff added

Patch added.

#2 - 2009-07-05 21:52 - Jean-Philippe Lang

- Subject changed from Change comment subject to be a link to the comment itself to Change reply subject to be a link to the reply itself

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Patch applied in r2815. Thanks.
